Method: projects.locations.templates.modifyLock

Updates the Lock state on a PromptTemplate

HTTP request

POST https://firebasevertexai.googleapis.com/v1beta/{name=projects/*/locations/*/templates/*}:modifyLock

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the PromptTemplate resource to update the lock on. Format: projects/{project}/locations/{location}/templates/{promptTemplate}

Request body

The request body contains data with the following structure:

JSON representation
{
  "locked": boolean,
  "regionalPropagationDisabled": boolean
}
Fields
locked

boolean

Required. Updates the lock on a PromptTemplate to match this value. If True, mutations to the PromptTemplate will be blocked.

regionalPropagationDisabled

boolean

Optional. For global endpoints only. If true, the PromptTemplate's lock state will be modified in global only. Otherwise, the lock state will also be modified in all regions where applicable.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • firebasevertexai.promptTemplates.updateLock

For more information, see the IAM documentation.